Skip to content

List blacklisted companies

Request

Returns blacklisted company entries for the team. Blacklisted companies are excluded from imports, enrichment, automations, and mass actions.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
GET
/leads/api/companies-blacklist
curl -i -X GET \
  'https://leadgen.grinfi.io/leads/api/companies-blacklist?limit=20&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of blacklisted companies.

Bodyapplication/json
dataArray of objects(company-blacklist-entry)
limitinteger
offsetinteger
totalinteger
has_moreboolean
Response
{ "data": [ {} ], "limit": 0, "offset": 0, "total": 0, "has_more": true }